package com.buy507.mall.portal.domain;

import com.buy507.mall.model.DefaultStatus;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("会员银行卡实体")
public class MemberBankAccount {
	
	@ApiModelProperty(value = "主键ID")
	private Long id;
	
	@ApiModelProperty(value = "账户名")
	private String accountName;
	
	@ApiModelProperty(value = "银行名称")
	private String bankName;
	
	@ApiModelProperty(value = "银行卡号")
	private String bankCardNum;
	
	@ApiModelProperty(value = "开户行地址")
	private String openBankAddress;
	
	@ApiModelProperty(value = "是否默认：No->否；Yes->是")
	private DefaultStatus defaultStatus;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getAccountName() {
		return accountName;
	}

	public void setAccountName(String accountName) {
		this.accountName = accountName;
	}

	public String getBankName() {
		return bankName;
	}

	public void setBankName(String bankName) {
		this.bankName = bankName;
	}

	public String getBankCardNum() {
		return bankCardNum;
	}

	public void setBankCardNum(String bankCardNum) {
		this.bankCardNum = bankCardNum;
	}

	public String getOpenBankAddress() {
		return openBankAddress;
	}

	public void setOpenBankAddress(String openBankAddress) {
		this.openBankAddress = openBankAddress;
	}

	public DefaultStatus getDefaultStatus() {
		return defaultStatus;
	}

	public void setDefaultStatus(DefaultStatus defaultStatus) {
		this.defaultStatus = defaultStatus;
	}

}
